> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateKycInformation

> 
The `updateKycInformation` API is used to modify previously submitted identity information for employees when changes are needed.

### What it does:

- Updates existing address and phone number KYC data



## OpenAPI

````yaml put /userPortal/updateKycInformation
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userPortal/updateKycInformation:
    put:
      tags: []
      summary: updateKycInformation
      description: >-

        The `updateKycInformation` API is used to modify previously submitted
        identity information for employees when changes are needed.


        ### What it does:


        - Updates existing address and phone number KYC data
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateKycInformation
                  enum:
                    - updateKycInformation
                  example: updateKycInformation
                kycInformation:
                  type: object
                  properties:
                    userId:
                      type: string
                      format: uuid
                    address1:
                      type: string
                      maxLength: 40
                    address2:
                      type: string
                      maxLength: 40
                    city:
                      type: string
                      maxLength: 40
                    state:
                      type: string
                      title: Enum
                      maxLength: 2
                      enum:
                        - TX
                        - AK
                        - ND
                        - IL
                        - MA
                        - KS
                        - AS
                        - AL
                        - UT
                        - SD
                        - MI
                        - DC
                        - GA
                        - SC
                        - TN
                        - OK
                        - CO
                        - CA
                        - ME
                        - MO
                        - WY
                        - MD
                        - VT
                        - NM
                        - CT
                        - AZ
                        - WI
                        - VA
                        - WV
                        - NJ
                        - DE
                        - NC
                        - PR
                        - IN
                        - MT
                        - NH
                        - HI
                        - IA
                        - KY
                        - WA
                        - OH
                        - FL
                        - OR
                        - MP
                        - GU
                        - MN
                        - MS
                        - PA
                        - NE
                        - RI
                        - ID
                        - LA
                        - NY
                        - NV
                        - AR
                    zipcode:
                      type: string
                      title: Must be FIve or Nine Digits
                    phoneNumber:
                      type: string
                      title: Must be 10 Digits
                      example: '9874563210'
                  required:
                    - userId
                  maxProperties: 9
                  x--orders:
                    - employeeId
                    - address1
                    - address2
                    - city
                    - state
                    - zipcode
                    - phoneNumber
              required:
                - method
                - kycInformation
              x--orders:
                - method
                - kycInformation
            example:
              method: updateKycInformation
              kycInformation:
                userId: e066e305-3816-4b06-8576-50d2502be436
                address1: 2710 English Ivy Court
                address2: ''
                city: Longwood
                state: FL
                zipcode: '32779'
                phoneNumber: '8978784102'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  kycInformation:
                    type: object
                    properties:
                      userId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userId
                      - status
                    x--orders:
                      - employeeId
                      - status
                      - message
                x--orders:
                  - kycInformation
                required:
                  - kycInformation
              examples:
                '1':
                  summary: Success
                  value:
                    kycInformation:
                      userId: E066E305-3816-4B06-8576-50D2502BE436
                      status: Ready
                      message: >-
                        The KYC information for Jacob King has been updated
                        successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: EmployeeId is mandatory and cannot be empty.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````